net.sf.jasperreports.engine

## Class JRAbstractRenderer

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractRenderer

- All Implemented Interfaces:
    java.io.Serializable, JRRenderable, Renderable
  Direct Known Subclasses:
    JRAbstractSvgRenderer, JRImageRenderer

      public abstract class JRAbstractRenderer
      extends java.lang.Object
      implements Renderable

  Version:
    $Id: JRAbstractRenderer.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.Renderable

      `PROPERTY_IMAGE_DPI`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRRenderable

      `IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRAbstractRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.geom.Dimension2D` | `getDimension(JasperReportsContext jasperReportsContext)`
    `java.lang.String` | `getId()`
    `byte[]` | `getImageData(JasperReportsContext jasperReportsContext)`
    `ImageTypeEnum` | `getImageTypeValue()`
    `RenderableTypeEnum` | `getTypeValue()`
    `void` | `render(JasperReportsContext jasperReportsContext, java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRRenderable

      `getDimension, getImageData, getImageType, getType, render`

- - ### Constructor Detail

    - #### JRAbstractRenderer

          public JRAbstractRenderer()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `JRRenderable`
      Specified by:
        `getId` in interface `Renderable`

    - #### getTypeValue

          public RenderableTypeEnum getTypeValue()

      Specified by:
        `getTypeValue` in interface `Renderable`

    - #### getImageTypeValue

          public ImageTypeEnum getImageTypeValue()

      Specified by:
        `getImageTypeValue` in interface `Renderable`

    - #### getDimension

          public java.awt.geom.Dimension2D getDimension(JasperReportsContext jasperReportsContext)
                                                 throws JRException

      Specified by:
        `getDimension` in interface `Renderable`
      Throws:
        `JRException`

    - #### getImageData

          public byte[] getImageData(JasperReportsContext jasperReportsContext)
                              throws JRException

      Specified by:
        `getImageData` in interface `Renderable`
      Throws:
        `JRException`

    - #### render

          public void render(JasperReportsContext jasperReportsContext,
                    java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectangle)
                      throws JRException

      Specified by:
        `render` in interface `Renderable`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com